Package com.sun.jna.platform.win32

# Class Winspool.PRINTER_INFO_1

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.Winspool.PRINTER_INFO_1

Enclosing interface:
  Winspool

@FieldOrder({"Flags","pDescription","pName","pComment"}) public static class Winspool.PRINTER_INFO_1 extends Structure
The PRINTER_INFO_1 structure specifies general printer information.

See Also:
  - PRINTER_INFO_1 structure

## Nested Class Summary

## Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`Flags`
Specifies information about the returned data.
`String`
`pComment`
Pointer to a null-terminated string that contains additional data describing the structure.
`String`
`pDescription`
Pointer to a null-terminated string that describes the contents of the structure.
`String`
`pName`
Pointer to a null-terminated string that names the contents of the structure.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`PRINTER_INFO_1()`
`PRINTER_INFO_1(int size)`

## Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### Flags

public int Flags
Specifies information about the returned data. Following are the values for this member.

### pDescription

public String pDescription
Pointer to a null-terminated string that describes the contents of the structure.

### pName

public String pName
Pointer to a null-terminated string that names the contents of the structure.

### pComment

public String pComment
Pointer to a null-terminated string that contains additional data describing the structure.

## Constructor Details

### PRINTER_INFO_1

public PRINTER_INFO_1()

### PRINTER_INFO_1

public PRINTER_INFO_1(int size)